{% extends "base.html" %}
{% load alarme_utils %}

{% block title %}Statistiques bénévoles{% endblock %}

{% block content %}
    {% include "stats/stat-form.html" %}
    {% include "stats/tabs.html" with active="benevoles" %}

    <div class="row">
        <div class="col">
            <table class="table table-sm table-hover stat_table">
                <thead>
                    <tr><th></th>
                        {% for month in months %}<th class="text-end">{{ month }}</th>{% endfor %}
                        <th class="text-end">Total</th>
                    </tr>
                </thead>
                <tbody>
                    {% for key, info in labels.items %}
                    <tr>
                        <td>{{ info.label }}</td>
                        {% for month in months %}
                            <td class="num">{{ stats|get_item:key|get_item:month|format_duree:None|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num">{{ stats|get_item:key|get_item:'total'|format_duree:None|default_if_none:'-' }}</td>
                    </tr>
                    {% endfor %}

                </tbody>
            </table>
            <div class="text-right">
                <a class="btn-icon" title="Exporter la statistique" href=".?{% param_replace %}&export=1">
                    <img class="icon-ui" src="{% static 'ficons/tsv.svg' %}">
                </a>
            </div>
        </div>
    </div>
{% endblock %}
